#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xmlstarlet
Version		:	1.6.1
Release		:	14.8.0.0%{?dist}
Summary		:	Command Line XML Toolkit

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	http://xmlstar.sourceforge.net/
			#https://github.com/dimitern/xmlstarlet/

Source0		:	%{name}-%{version}.tar.gz
Patch0		:	%{name}-%{version}-nogit.patch

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	make
BuildRequires	:	gcc
BuildRequires	:	xmlto
BuildRequires	:	libxml2-devel
BuildRequires	:	libxslt

#-----------------------------------------------------------------------------
%description
XMLStarlet is a set of command line utilities which
can be used to transform, query, validate, and
edit XML documents and files using simple set of
shell commands in similar way it is done for
plain text files using UNIX grep, sed, awk, diff,
patch, join, etc commands.
 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS README Copyright TODO
%doc doc/*
%{_bindir}/xmlstarlet
%{_mandir}/man1/xmlstarlet.1*
 

#=============================================================================
%prep
%setup -q
%patch -P 0 -p1

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

# Avoid name kludging in autotools	
%{__mv}							\
	%{buildroot}%{_bindir}/xml			\
	%{buildroot}%{_bindir}/%{name}	

#-----------------------------------------------------------------------------
%changelog
